regina::SnapPeaFatalError Struct Reference
SnapPea Triangulations

An exception that is thrown when the SnapPea kernel encounters a fatal error. More...

`#include <snappea/snappeatriangulation.h>`

Inheritance diagram for regina::SnapPeaFatalError:

## Public Member Functions

| SnapPeaFatalError (const char *fromFunction, const char *fromFile)
| Creates a new exception, indicating where in the SnapPea kernel the error occurred. More...

## Public Attributes

std::string | function
| The function from the SnapPea kernel in which the fatal error occurred. More...
std::string | file
| The source file from the SnapPea kernel in which the fatal error occurred. More...

## Detailed Description

An exception that is thrown when the SnapPea kernel encounters a fatal error.

Python:
  Not present.

## Constructor & Destructor Documentation

## SnapPeaFatalError()

regina::SnapPeaFatalError::SnapPeaFatalError | ( | const char * | fromFunction,
|  | const char * | fromFile
| ) |  |

inline

Creates a new exception, indicating where in the SnapPea kernel the error occurred.

Parameters

  fromFunction | the function from the SnapPea kernel in which the error occurred.
  fromFile | the source file from the SnapPea kernel in which the error occurred.

## Member Data Documentation

## file

std::string regina::SnapPeaFatalError::file

The source file from the SnapPea kernel in which the fatal error occurred.

## function

std::string regina::SnapPeaFatalError::function

The function from the SnapPea kernel in which the fatal error occurred.

The documentation for this struct was generated from the following file:

- snappea/snappeatriangulation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).